about summary refs log tree commit diff
path: root/tests/dependencies.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2009-03-18T14·48+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2009-03-18T14·48+0000
commitc183ee5c79dd356262c3d7c31e3aace09045671f (patch)
treeb137abedbac6bdc12022c219eeeb3990cc88ccc9 /tests/dependencies.sh
parent1dcf208f562d853909ad53772c208dcb2a73de88 (diff)
* Acquire the locks on the output paths before trying to run the build
  hook.  This fixes a problem with log files being partially or
  completely filled with 0's because another nix-store process
  truncates the log file.  It should also be more efficient.

Diffstat (limited to 'tests/dependencies.sh')
-rw-r--r--tests/dependencies.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/dependencies.sh b/tests/dependencies.sh
index 440b6fae0c..46f60c9bd3 100644
--- a/tests/dependencies.sh
+++ b/tests/dependencies.sh
@@ -1,5 +1,7 @@
 source common.sh
 
+clearStore
+
 drvPath=$($nixinstantiate dependencies.nix)
 
 echo "derivation is $drvPath"
@@ -13,7 +15,7 @@ if test -n "$dot"; then
     $dot < $TEST_ROOT/graph
 fi
 
-outPath=$($nixstore -rvv "$drvPath")
+outPath=$($nixstore -rvv "$drvPath") || fail "build failed"
 
 # Test Graphviz graph generation.
 $nixstore -q --graph "$outPath" > $TEST_ROOT/graph